## linux-restricted-modules 2.6.28-14.46netbook6

=== kconfig/Makefile ===
OBJS = conf.o zconf.tab.o
CFLAGS = -Wall

kconfig: $(OBJS)
	$(CC) -o $@ $(OBJS)

zconf.tab.o: confdata.c expr.c lex.zconf.c menu.c symbol.c util.c zconf.hash.c zconf.tab.c

clean:
	rm -f $(OBJS) kconfig

=== ubuntu-restricted/Makefile ===
#
# Makefile for Restricted drivers
#

include $(obj)/.config
LINUXINCLUDE += -include $(obj)/autoconf.h

obj-$(CONFIG_LTMODEM)		+= ltmodem/

obj-$(CONFIG_BROADCOM_4312)	+= broadcom/

obj-$(CONFIG_ATHEROS)		+= madwifi/

=== ubuntu-restricted/ltmodem/Makefile ===
# makefile for ltmodem for 2.6 kernels

LT_OBJ_VER := pre-8.31

ltmodem-objs := lt_modem.o ltmdmobj.o-$(LT_OBJ_VER)

ltserial-objs := serial.o

obj-$(CONFIG_LTMODEM) += ltmodem.o ltserial.o

=== ubuntu-restricted/madwifi/Makefile ===
obj-m	+= ath_rate/amrr/
obj-m	+= ath_rate/minstrel/
obj-m	+= ath_rate/onoe/
obj-m	+= ath_rate/sample/
obj-m	+= ath/ ath_hal/ net80211/

=== ubuntu-restricted/madwifi/ath/Makefile ===
#
# Makefile for the Atheros WLAN driver.
#

obj ?= .
src ?= .
srctree ?= .

TOP = $(obj)/..

include $(TOP)/BuildCaps.inc
include $(TOP)/ath_hal/ah_target.inc

ATH_HAL=$(TOP)/ath_hal
HAL=	$(TOP)/hal
WLAN=	$(TOP)/net80211
COMPAT=	$(TOP)/include

#
# Select bus-specific code.  Note that this defaults to PCI.
#
ifeq ($(strip $(BUS)),AHB)
BUSNAME=ahb
EXTRA_CFLAGS+= -DATH_AHB
else
BUSNAME=pci
EXTRA_CFLAGS+= -DATH_PCI
endif

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH_HAL) -I$(HAL) -I$(WLAN)

EXTRA_CFLAGS += $(INCS) $(COPTS) -DOPT_AH_H=\"$(HAL)/public/$(TARGET).opt_ah.h\"

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m			+= ath_$(BUSNAME).o
ath_$(BUSNAME)-objs	:= if_ath.o if_ath_$(BUSNAME).o
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m			:= if_ath.o if_ath_$(BUSNAME).o

O_TARGET := ath_$(BUSNAME).o
include $(TOPDIR)/Rules.make

export-objs	:= if_ath_$(BUSNAME).o
list-multi	:= ath_$(BUSNAME).o
endif

=== ubuntu-restricted/madwifi/ath_hal/Makefile ===
#
# Makefile for the Atheros WLAN driver.
#

obj ?= .
src ?= .
srctree ?= .

TOP = $(obj)/..

include $(TOP)/BuildCaps.inc
include $(TOP)/ath_hal/ah_target.inc

ATH_HAL=$(TOP)/ath_hal
COMPAT=	$(TOP)/include
HAL=	$(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS += $(INCS) $(COPTS) -DOPT_AH_H=\"$(HAL)/public/$(TARGET).opt_ah.h\"

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ath_hal.o
ath_hal-objs	:= ah_os.o $(TARGET).hal.o

hostprogs-y := uudecode
host-progs := $(hostprogs-y)
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ah_os.o $(TARGET).hal.o

O_TARGET := ath_hal.o
include $(TOPDIR)/Rules.make

export-objs	:= ah_os.o
list-multi	:= ath_hal.o

uudecode: uudecode.c
	$(HOSTCC) $(HOSTCFLAGS) -o $@ $<
endif

$(obj)/$(TARGET).hal.o: $(HAL)/public/$(TARGET).hal.o.uu $(obj)/uudecode
	$(Q)echo "deps_$@ :=" >$(@D)/.$(@F).cmd
	$(Q)$(obj)/uudecode -o $@ $<

=== ubuntu-restricted/madwifi/net80211/Makefile ===
#
# Makefile for the 802.11 NET80211 module.
#

src ?= .
srctree ?= .

TOP = $(obj)/..

include $(TOP)/BuildCaps.inc

COMPAT = $(TOP)/include

ATH_HAL = $(TOP)/ath_hal
HAL = $(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH_HAL) -I$(HAL)
EXTRA_CFLAGS += $(INCS) $(COPTS)

#
# There are two authenticator mechanisms: an in-kernel implementation
# (wlan_auth+wlan_radius) and an external implementation (wlan_xauth) that
# requires a user process to manage the authentication process.  By default
# the external authenticator is used.  ieee80211_proto.c has a table of module
# names that defines the default module to auto-load for each authentication
# scheme; to get the in-kernel authenticator by default modify it to load
# wlan_auth instead of wlan_xauth or manually load wlan_auth prior to use.
#
MOD_AUTH	:= wlan_xauth.o
#
# Scanning policy is split into modules.  The default policy modules
# separate station-mode scanning support from ap-mode scanning support.
#
MOD_SCAN	:= wlan_scan_sta.o wlan_scan_ap.o

obj-m += wlan.o wlan_wep.o wlan_tkip.o wlan_ccmp.o wlan_acl.o \
		   $(MOD_AUTH) $(MOD_SCAN)

wlan-objs	:= if_media.o \
		   ieee80211.o ieee80211_beacon.o ieee80211_crypto.o \
		   ieee80211_crypto_none.o ieee80211_input.o ieee80211_node.o \
		   ieee80211_output.o ieee80211_proto.o ieee80211_power.o \
		   ieee80211_scan.o ieee80211_wireless.o ieee80211_linux.o \
		   ieee80211_monitor.o ieee80211_rate.o
wlan_wep-objs	:= ieee80211_crypto_wep.o
wlan_tkip-objs	:= ieee80211_crypto_tkip.o
wlan_ccmp-objs	:= ieee80211_crypto_ccmp.o
wlan_xauth-objs	:= ieee80211_xauth.o
wlan_acl-objs	:= ieee80211_acl.o
wlan_scan_sta-objs := ieee80211_scan_sta.o
wlan_scan_ap-objs  := ieee80211_scan_ap.o

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
export-objs	:= if_media.o \
		   ieee80211.o ieee80211_beacon.o ieee80211_crypto.o \
		   ieee80211_crypto_none.o ieee80211_input.o ieee80211_node.o \
		   ieee80211_output.o ieee80211_power.o ieee80211_proto.o \
		   ieee80211_scan.o ieee80211_wireless.o ieee80211_linux.o \
		   ieee80211_crypto_wep.o ieee80211_crypto_tkip.o \
		   ieee80211_crypto_ccmp.o ieee80211_xauth.o ieee80211_rate.o
list-multi	:= wlan.o wlan_wep.o wlan_tkip.o wlan_ccmp.o wlan_acl.o \
		   $(MOD_AUTH) $(MOD_SCAN)

O_TARGET := net80211.o
include $(TOPDIR)/Rules.make

wlan.o:	$(wlan-objs)
	$(LD) -o wlan.o -r $(wlan-objs)
wlan_wep.o:	$(wlan_wep-objs)
	$(LD) -o wlan_wep.o -r $(wlan_wep-objs)
wlan_tkip.o:	$(wlan_tkip-objs)
	$(LD) -o wlan_tkip.o -r $(wlan_tkip-objs)
wlan_ccmp.o:	$(wlan_ccmp-objs)
	$(LD) -o wlan_ccmp.o -r $(wlan_ccmp-objs)
wlan_xauth.o:	$(wlan_xauth-objs)
	$(LD) -o wlan_xauth.o -r $(wlan_xauth-objs)
wlan_acl.o:	$(wlan_acl-objs)
	$(LD) -o wlan_acl.o -r $(wlan_acl-objs)
wlan_scan_sta.o: $(wlan_scan_sta-objs)
	$(LD) -o wlan_scan_sta.o -r $(wlan_scan_sta-objs)
wlan_scan_ap.o:	$(wlan_scan_ap-objs)
	$(LD) -o wlan_scan_ap.o -r $(wlan_scan_ap-objs)
endif

=== ubuntu-restricted/madwifi/ath_rate/amrr/Makefile ===
#
# Makefile for AMRR (Adaptive Multi Rate Retry) control algorithm.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/amrr/Makefile.kernel#1 $
#

src ?= .
srctree ?= .

TOP = $(obj)/../..

include $(TOP)/BuildCaps.inc

ATH=	$(TOP)/ath
ATH_HAL=$(TOP)/ath_hal
COMPAT=	$(TOP)/include
HAL=	$(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)
EXTRA_CFLAGS += $(INCS) $(COPTS)

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ath_rate_amrr.o
ath_rate_amrr-objs	:= amrr.o
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m := amrr.o

export-objs	:= amrr.o
list-multi	:= ath_rate_amrr.o

O_TARGET	:= ath_rate.o
include $(TOPDIR)/Rules.make
endif

=== ubuntu-restricted/madwifi/ath_rate/minstrel/Makefile ===
#
# Makefile for the Minstrel rate control algorithm.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/minstrel/Makefile.kernel#1 $
#

src ?= .
srctree ?= .

TOP = $(obj)/../..

include $(TOP)/BuildCaps.inc

ATH=	$(TOP)/ath
ATH_HAL=$(TOP)/ath_hal
COMPAT=	$(TOP)/include
HAL=	$(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)
EXTRA_CFLAGS += $(INCS) $(COPTS)

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ath_rate_minstrel.o
ath_rate_minstrel-objs	:= minstrel.o
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m := minstrel.o

export-objs	:= minstrel.o
list-multi	:= ath_rate_minstrel.o

O_TARGET	:= ath_rate.o
include $(TOPDIR)/Rules.make
endif

=== ubuntu-restricted/madwifi/ath_rate/onoe/Makefile ===
#
# Makefile for Atsushi Onoe's rate control algorithm.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/onoe/Makefile.kernel#1 $
#

src ?= .
srctree ?= .

TOP = $(obj)/../..

include $(TOP)/BuildCaps.inc

ATH=	$(TOP)/ath
ATH_HAL=$(TOP)/ath_hal
COMPAT=	$(TOP)/include
HAL=	$(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)
EXTRA_CFLAGS += $(INCS) $(COPTS)

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ath_rate_onoe.o
ath_rate_onoe-objs	:= onoe.o
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m := onoe.o

export-objs	:= onoe.o
list-multi	:= ath_rate_onoe.o

O_TARGET	:= ath_rate.o
include $(TOPDIR)/Rules.make
endif

=== ubuntu-restricted/madwifi/ath_rate/sample/Makefile ===
#
# Makefile for John Bicket's SampleRate control algorithm.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/sample/Makefile.kernel#1 $
#

src ?= .
srctree ?= .

TOP = $(obj)/../..

include $(TOP)/BuildCaps.inc

ATH=	$(TOP)/ath
ATH_HAL=$(TOP)/ath_hal
COMPAT=	$(TOP)/include
HAL=	$(TOP)/hal

INCS = -include $(COMPAT)/compat.h -I$(COMPAT)
INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)
EXTRA_CFLAGS += $(INCS) $(COPTS)

ifneq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m += ath_rate_sample.o
ath_rate_sample-objs	:= sample.o
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.4)
obj-m := sample.o

export-objs	:= sample.o
list-multi	:= ath_rate_sample.o

O_TARGET	:= ath_rate.o
include $(TOPDIR)/Rules.make
endif

## linux-restricted-modules 2.6.27-7.12

=== debian/changelog ===
linux-restricted-modules (2.6.27-7.12) intrepid; urgency=low

  [Ben Collins]

  * build: Fix binary-indep dependency on install-indep, which was removed

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 15 Oct 2008 08:33:45 -0400

linux-restricted-modules (2.6.27-7.11) intrepid; urgency=low

  [Ben Collins]

  * firmware: Remove all firmware, now provided by linux-firmware

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 15 Oct 2008 07:45:42 -0400

linux-restricted-modules (2.6.27-7.10) intrepid; urgency=low

  [Ben Collins]

  * build: Fix copyright file
    - LP: #262564
  * build/d-i: Create nic-restricted-{modules/firmware}

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 14 Oct 2008 09:01:13 -0400

linux-restricted-modules (2.6.27-7.9) intrepid; urgency=low

  * Bumped ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 09 Oct 2008 11:30:11 -0600

linux-restricted-modules (2.6.27-6.8) intrepid; urgency=low

  * Bumped ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 06 Oct 2008 22:04:14 -0600

linux-restricted-modules (2.6.27-5.7) intrepid; urgency=low

  [Tim Gardner]

  * wl - Use internal function wlc_iovar_setint() to set VLAN mode.
    - LP: #259816

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 05 Oct 2008 16:53:17 -0600

linux-restricted-modules (2.6.27-5.6) intrepid; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 03 Oct 2008 12:23:39 +0000

linux-restricted-modules (2.6.27-4.5) intrepid; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 22 Sep 2008 06:31:52 -0600

linux-restricted-modules (2.6.27-3.4) intrepid; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 10 Sep 2008 10:39:26 -0600

linux-restricted-modules (2.6.27-2.3) intrepid; urgency=low

  [Ben Collins]

  * build/lrm-manager: Fix endless loop for ath_hal
    - LP: #262539
  * broadcom: Force vlan_mode to off on initialization of device
  * build/control: Provides/Conflicts/Replaces atmel-firmware
    - LP: #263021

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 05 Sep 2008 08:56:26 -0400

linux-restricted-modules (2.6.27-2.2) intrepid; urgency=low

  * ABI bump

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 28 Aug 2008 13:18:43 -0400

linux-restricted-modules (2.6.27-1.1) intrepid; urgency=low

  [Ben Collins]

  * lrm-manager: Remove disabled modules from tmpfs
    - LP: #258541
  * lrm-manager/postinst/postrm: Fixes to have volatile created correctly
  * broadcom/madwifi: Updates for iwe_stream_add_*() function calls
  * Bump release to 2.6.27-1

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 26 Aug 2008 10:32:24 -0400

linux-restricted-modules (2.6.26-5.12) intrepid; urgency=low

  [Ben Collins]

  * firmware: Updated iwlwifi firmware

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 11 Aug 2008 16:51:21 -0400

linux-restricted-modules (2.6.26-5.11) intrepid; urgency=low

  [ Ben Collins ]

  * Bump ABI

 -- Ben Collins <ben.collins@canonical.com>  Sun, 27 Jul 2008 11:39:45 -0400

linux-restricted-modules (2.6.26-4.10) intrepid; urgency=low

  [Tim Gardner]

  * Updated Broadcom to 5.10.27

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 23 Jul 2008 12:44:35 -0600

linux-restricted-modules (2.6.26-4.9) intrepid; urgency=low

  [Ben Collins]

  * build: Need to have lrm-flav pkgs depend on lrm-common

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 23 Jul 2008 11:24:12 -0400

linux-restricted-modules (2.6.26-4.8) intrepid; urgency=low

  [Ben Collins]

  * lrm-manager: Do nothing if last-good-boot

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 14 Jul 2008 17:33:54 -0400

linux-restricted-modules (2.6.26-4.7) intrepid; urgency=low

  [Ben Collins]

  * firmware: Change case of files to make sure things get installed.
  * firmware: Add cx18 firmware
  * lrm-manager: Fix bad shell in case statement

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 14 Jul 2008 15:20:01 -0400

linux-restricted-modules (2.6.26-3.6) intrepid; urgency=low

  [Ben Collins]

  * udebs: Disable udebs for now.

 -- Ben Collins <ben.collins@canonical.com>  Sun, 06 Jul 2008 15:26:32 -0400

linux-restricted-modules (2.6.26-3.5) intrepid; urgency=low

  [Ben Collins]

  * build: Add split-module/mod_supported mechanisms
  * control: Do not add shlibdeps to indep packages.
  * lrm-manager: Update to not build all of madwifi if selected
  * lrm-manager: Update comments for better documentation.
  * broadcom/ltmodem: Fix Makefiles to better represent the build

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 06 Jul 2008 14:57:30 -0400

linux-restricted-modules (2.6.26-3.4) intrepid; urgency=low

  * ABI bump.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 23:34:23 +0100

linux-restricted-modules (2.6.26-2.3) intrepid; urgency=low

  * ABI Bump

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jun 2008 11:41:54 -0400

linux-restricted-modules (2.6.26-1.2) intrepid; urgency=low

  [Ben Collins]

  * build: Remove errant -virtual flavour in i386 config

 -- Ben Collins <ben.collins@canonical.com>  Tue, 17 Jun 2008 00:27:03 -0400

linux-restricted-modules (2.6.26-1.1) intrepid; urgency=low

  [Ben Collins]

  * kconfig: Copied from linux kernel to facilitate our Kconfig usage
  * ubuntu-firmware: Add all of our firmware from lum/lrm
  * broadcom: wl driver take from lrm-2.6.24, for b4312
  * ltmodem: Driver from lrm-2.6.24
  * madwifi: Take from lrm
  * ubuntu-restricted: Added Kconfig/Makefile for build

 -- Ben Collins <ben.collins@canonical.com>  Mon, 16 Jun 2008 18:39:46 -0400

=== debian/control ===
Source: linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.27-7-generic [i386 amd64], linux-headers-2.6.27-7-server [i386 amd64]

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.27 modules helper script
 This package provides common restricted files for
 linux-restricted-modules, which includes helper scripts.

Package: linux-restricted-modules-2.6.27-7-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-7-generic, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.27 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.27 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.27-7-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-7-server, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.27 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.27 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-server meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

## linux-restricted-modules 2.6.27-17.23

=== debian/changelog ===
linux-restricted-modules (2.6.27-17.23) intrepid-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -17 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 12:52:18 -0800

linux-restricted-modules (2.6.27-16.22) intrepid-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -16 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 30 Nov 2009 23:40:26 -0800

linux-restricted-modules (2.6.27-15.21) intrepid-security; urgency=low

  Bump ABI to -15 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:54:38 -0700

linux-restricted-modules (2.6.27-14.20) intrepid-proposed; urgency=low

  [ Tim Gardner ]

  * Update Broadcom to 5.10.79.10
    - LP: #292450
  * wl: applied web site patch to 5.10.79.10
    - LP: #292450
  * Update Broadcom wl to 5.10.91.9
    - LP: #372425

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 09 Apr 2009 08:57:01 +0200

linux-restricted-modules (2.6.27-14.19) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to -14 for proposed kernel update

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 11 Mar 2009 17:26:29 +0100

linux-restricted-modules (2.6.27-13.18) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to -13 for proposed kernel update

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 08:02:15 +0100

linux-restricted-modules (2.6.27-12.17) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to -12

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 30 Jan 2009 17:45:05 +0100

linux-restricted-modules (2.6.27-11.16) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Update wl to 5_10_27_12
    This update from Broadcom has a new binary blob, better locking and
    protection against the interrupt handler, and sets the VLAN mode to
    off by default. They have also abstracted the ioctl code for kernels newer
    then 2.6.26.
    - LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 Jan 2009 13:32:48 -0700

linux-restricted-modules (2.6.27-11.15) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Update Broadcom wl to 5.10.27.11 from 5.10.27.6
    - LP: #292450
  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 17 Dec 2008 10:04:20 -0700

linux-restricted-modules (2.6.27-10.14) intrepid-proposed; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Nov 2008 08:53:50 -0700

linux-restricted-modules (2.6.27-8.13) intrepid-proposed; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Nov 2008 13:21:19 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.27-7-generic [i386 amd64], linux-headers-2.6.27-7-server [i386 amd64]
+Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.27-17-generic [i386 amd64], linux-headers-2.6.27-17-server [i386 amd64]
 
 Package: linux-restricted-modules-common
 Architecture: all
@@ -13,12 +13,12 @@
  This package provides common restricted files for
  linux-restricted-modules, which includes helper scripts.
 
-Package: linux-restricted-modules-2.6.27-7-generic
+Package: linux-restricted-modules-2.6.27-17-generic
 Architecture: i386 amd64
 Section: base
 Priority: optional
 Provides: 
-Depends: linux-image-2.6.27-7-generic, linux-restricted-modules-common
+Depends: linux-image-2.6.27-17-generic, linux-restricted-modules-common
 Pre-Depends: dpkg (>= 1.10.24)
 Description: Non-free Linux kernel modules for version 2.6.27 on x86/x86_64
  This package provides restricted modules for Linux version 2.6.27 on
@@ -31,12 +31,12 @@
  the linux-restricted-modules-generic meta-package, which will ensure that
  upgrades work correctly, and that supporting packages are also installed.
 
-Package: linux-restricted-modules-2.6.27-7-server
+Package: linux-restricted-modules-2.6.27-17-server
 Architecture: i386 amd64
 Section: base
 Priority: optional
 Provides: 
-Depends: linux-image-2.6.27-7-server, linux-restricted-modules-common
+Depends: linux-image-2.6.27-17-server, linux-restricted-modules-common
 Pre-Depends: dpkg (>= 1.10.24)
 Description: Non-free Linux kernel modules for version 2.6.27 on x86/x86_64
  This package provides restricted modules for Linux version 2.6.27 on

## linux-restricted-modules 2.6.28-11.15

=== debian/changelog ===
linux-restricted-modules (2.6.28-11.15) jaunty; urgency=low

  [Tim Gardner]

  * wl: applied web site patch to 5.10.79.10
    - LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 03 Apr 2009 10:10:16 -0400

linux-restricted-modules (2.6.28-11.14) jaunty; urgency=low

  [Tim Gardner]

  * Update Broadcom to 5.10.79.10
    - LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 23 Mar 2009 10:36:18 -0600

linux-restricted-modules (2.6.28-11.13) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Mar 2009 06:38:07 -0600

linux-restricted-modules (2.6.28-10.12) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 16 Mar 2009 06:58:40 -0600

linux-restricted-modules (2.6.28-9.11) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Mar 2009 10:40:36 -0600

linux-restricted-modules (2.6.28-8.10) jaunty; urgency=low

  * debian/linux-restricted-modules-common.modprobe: Remove, empty
    configuration files still cost parsing time
  * debian/linux-restricted-modules-common.preinst: Remove on upgrade
  * debian/rules.d/3-binary-indep.mk: Update

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 18:05:22 +0000

linux-restricted-modules (2.6.28-8.9) jaunty; urgency=low

  [Loic Minier]

  * rm_conffile() /etc/modprobe.d/ipw3945 on upgrades

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Feb 2009 13:32:08 -0700

linux-restricted-modules (2.6.28-8.8) jaunty; urgency=low

  [Tim Gardner]

  * Added LPIA arch support
  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Feb 2009 13:49:55 -0700

linux-restricted-modules (2.6.28-7.7) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 08 Feb 2009 19:27:54 -0700

linux-restricted-modules (2.6.28-6.6) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 20:44:55 -0700

linux-restricted-modules (2.6.28-5.5) jaunty; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 22 Jan 2009 14:31:47 -0700

linux-restricted-modules (2.6.28-4.4) jaunty; urgency=low

  [Tim Gardner]

  * Update wl to 5_10_27_12
    This update from Broadcom has a new binary blob, better locking and
    protection against the interrupt handler, and sets the VLAN mode to
    off by default. They have also abstracted the ioctl code for kernels newer
    then 2.6.26.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 Jan 2009 14:23:06 -0700

linux-restricted-modules (2.6.28-4.3) jaunty; urgency=low

  [Tim Gardner]

  * Update Broadcom wl to 5.10.27.11 from 5.10.27.6
    - LP: #292450
  * Bumped ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Sat, 20 Dec 2008 16:33:42 -0700

linux-restricted-modules (2.6.28-3.2) jaunty; urgency=low

  * Bumped ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 15 Dec 2008 19:32:37 -0700

linux-restricted-modules (2.6.28-2.1) jaunty; urgency=low

  * Upload for new 2.6.28 kernel.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 02 Dec 2008 10:34:01 -0500

=== debian/control ===
Source: linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.28-11-generic [i386 amd64], linux-headers-2.6.28-11-lpia [lpia], linux-headers-2.6.28-11-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lrm.git

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.28 modules helper script
 This package provides common restricted files for
 linux-restricted-modules, which includes helper scripts.

Package: linux-restricted-modules-2.6.28-11-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-generic, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.28 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-11-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-lpia, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on Intel Atom processors
 This package provides restricted modules for Linux version 2.6.28 on
 Intel Atom processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpia meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-11-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-server, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.28 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-server meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

## linux-restricted-modules 2.6.28-14.46netbook6

=== debian/changelog ===
linux-restricted-modules (2.6.28-14.46netbook6) netbook-jaunty; urgency=low

  * Removed debian/control.d/vars.server

 -- Michael Frey <michael.frey@canonical.com>  Mon, 20 Jul 2009 12:41:50 -0400

linux-restricted-modules (2.6.28-14.18) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to 14 for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 16 Jun 2009 16:47:21 +0200

linux-restricted-modules (2.6.28-13.17) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -13 for proposed kernel

  [ Tim Gardner ]

  * Update Broadcom wl to 5.10.91.9
    - LP: #372425

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 13 May 2009 17:06:54 +0200

linux-restricted-modules (2.6.28-12.16) jaunty-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to 12 for proposed-kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 24 Apr 2009 19:34:24 +0200

=== debian/control ===
Source: linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.28-14-generic [i386 amd64], linux-headers-2.6.28-14-lpia [lpia]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lrm.git

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.28 modules helper script
 This package provides common restricted files for
 linux-restricted-modules, which includes helper scripts.

Package: linux-restricted-modules-2.6.28-14-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-14-generic, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.28 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-14-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-14-lpia, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on Intel Atom processors
 This package provides restricted modules for Linux version 2.6.28 on
 Intel Atom processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpia meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Builds indep packages (e.g. firmware)
include debian/rules.d/3-binary-indep.mk

# Udeb stuff
include debian/rules.d/4-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

build: build-arch build-indep


clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*
	rm -rf debian/*-di
	$(MAKE) -C kconfig clean

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(release)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(release)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	install -d $(udebdir)/firmware/$(arch)
	install -d $(udebdir)/modules/$(arch)
	test ! -d debian/d-i/modules || cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	test ! -d debian/d-i/firmware || cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

kconfig/kconfig:
	$(MAKE) -C kconfig kconfig

## linux-restricted-modules 2.6.28-19.24

=== debian/changelog ===
linux-restricted-modules (2.6.28-19.24) jaunty-security; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -19 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2010 11:39:07 +0200

linux-restricted-modules (2.6.28-18.23) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -18 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 21:06:49 -0800

linux-restricted-modules (2.6.28-17.22) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -17 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 30 Nov 2009 23:01:58 -0800

linux-restricted-modules (2.6.28-16.21) jaunty-security; urgency=low

  Bump ABI to -16 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 13:05:00 -0700

linux-restricted-modules (2.6.28-15.20) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -15 for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 28 Jul 2009 16:07:14 +0000

linux-restricted-modules (2.6.28-14.19) jaunty-security; urgency=low

  [Stefan Bader]

  * Bump ABI to 14 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 24 Jul 2009 17:00:56 +0200

=== debian/control ===
Source: linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.28-19-generic [i386 amd64], linux-headers-2.6.28-19-lpia [lpia], linux-headers-2.6.28-19-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lrm.git

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.28 modules helper script
 This package provides common restricted files for
 linux-restricted-modules, which includes helper scripts.

Package: linux-restricted-modules-2.6.28-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-generic, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.28 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-19-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-lpia, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on Intel Atom processors
 This package provides restricted modules for Linux version 2.6.28 on
 Intel Atom processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpia meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-19-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-server, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on x86/x86_64
 This package provides restricted modules for Linux version 2.6.28 on
 x86/x86_64.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-server meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

## linux-restricted-modules 4.15.0-91.92

=== debian/changelog ===
linux-restricted-modules (4.15.0-91.92) bionic; urgency=medium

  * Master version: 4.15.0-91.92

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 28 Feb 2020 11:51:02 +0100

linux-restricted-modules (4.15.0-90.91) bionic; urgency=medium

  * Master version: 4.15.0-90.91

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 26 Feb 2020 10:57:19 +0100

linux-restricted-modules (4.15.0-90.90) bionic; urgency=medium

  * Master version: 4.15.0-90.90

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 25 Feb 2020 20:41:10 -0500

linux-restricted-modules (4.15.0-89.89) bionic; urgency=medium

  * Master version: 4.15.0-89.89

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 14 Feb 2020 15:50:03 -0300

linux-restricted-modules (4.15.0-88.88) bionic; urgency=medium

  * Master version: 4.15.0-88.88

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 11 Feb 2020 15:57:19 -0300

linux-restricted-modules (4.15.0-87.87) bionic; urgency=medium

  * Master version: 4.15.0-87.87

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 31 Jan 2020 16:10:38 -0300

linux-restricted-modules (4.15.0-76.86) bionic; urgency=medium

  * Master version: 4.15.0-76.86

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 17 Jan 2020 11:28:06 -0300

linux-restricted-modules (4.15.0-75.85) bionic; urgency=medium

  * Master version: 4.15.0-75.85

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 14 Jan 2020 19:08:42 -0300

linux-restricted-modules (4.15.0-74.84) bionic; urgency=medium

  * Master version: 4.15.0-74.84

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 18 Dec 2019 17:47:24 -0500

linux-restricted-modules (4.15.0-74.83) bionic; urgency=medium

  * Master version: 4.15.0-74.83

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 17 Dec 2019 23:21:12 -0500

linux-restricted-modules (4.15.0-73.82) bionic; urgency=medium

  * Master version: 4.15.0-73.82

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 02 Dec 2019 14:03:02 -0500

linux-restricted-modules (4.15.0-72.81) bionic; urgency=medium

  * Master version: 4.15.0-72.81

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 26 Nov 2019 12:19:39 +0100

linux-restricted-modules (4.15.0-71.80) bionic; urgency=medium

  * Master version: 4.15.0-71.80

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 13 Nov 2019 21:08:06 -0500

linux-restricted-modules (4.15.0-70.79) bionic; urgency=medium

  * Master version: 4.15.0-70.79

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Nov 2019 10:58:19 +0100

linux-restricted-modules (4.15.0-69.78) bionic; urgency=medium

  * Master version: 4.15.0-69.78

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 06 Nov 2019 12:08:16 +0100

linux-restricted-modules (4.15.0-68.77) bionic; urgency=medium

  * Master version: 4.15.0-68.77

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 25 Oct 2019 15:38:29 -0400

linux-restricted-modules (4.15.0-67.76) bionic; urgency=medium

  * Master version: 4.15.0-67.76

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 21 Oct 2019 13:08:40 -0400

linux-restricted-modules (4.15.0-66.75) bionic; urgency=medium

  * Master version: 4.15.0-66.75

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 30 Sep 2019 23:06:18 -0400

linux-restricted-modules (4.15.0-65.74) bionic; urgency=medium

  * Master version: 4.15.0-65.74

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 17 Sep 2019 18:20:51 +0200

linux-restricted-modules (4.15.0-64.73) bionic; urgency=medium

  * Master version: 4.15.0-64.73

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 12 Sep 2019 14:37:31 +0200

linux-restricted-modules (4.15.0-63.72) bionic; urgency=medium

  * Master version: 4.15.0-63.72

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 06 Sep 2019 06:04:57 -0400

linux-restricted-modules (4.15.0-63.71) bionic; urgency=medium

  * Master version: 4.15.0-63.71

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 06 Sep 2019 03:01:55 -0400

linux-restricted-modules (4.15.0-63.70) bionic; urgency=medium

  * Master version: 4.15.0-63.70

 -- Khalid Elmously <khalid.elmously@canonical.com>  Thu, 05 Sep 2019 02:58:45 -0400

linux-restricted-modules (4.15.0-62.69) bionic; urgency=medium

  * Master version: 4.15.0-62.69

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 04 Sep 2019 20:45:01 -0400

linux-restricted-modules (4.15.0-61.68) bionic; urgency=medium

  * Master version: 4.15.0-61.68

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 04 Sep 2019 02:54:05 -0400

linux-restricted-modules (4.15.0-60.67) bionic; urgency=medium

  * Master version: 4.15.0-60.67

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 22 Aug 2019 18:35:43 +0200

linux-restricted-modules (4.15.0-59.66) bionic; urgency=medium

  * Master version: 4.15.0-59.66

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 14 Aug 2019 12:38:16 +0200

linux-restricted-modules (4.15.0-59.65) bionic; urgency=medium

  * Master version: 4.15.0-59.65

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 13 Aug 2019 18:26:55 +0200

linux-restricted-modules (4.15.0-58.64) bionic; urgency=medium

  * Master version: 4.15.0-58.64

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 06 Aug 2019 19:41:42 +0200

linux-restricted-modules (4.15.0-57.63) bionic; urgency=medium

  * Master version: 4.15.0-57.63

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 01 Aug 2019 13:52:24 +0200



=== debian/control ===
Source: linux-restricted-modules
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 curl,
 gawk,
 linux-headers-4.15.0-91-generic (>= 4.15.0-91.92),
 linux-buildinfo-4.15.0-91-generic (>= 4.15.0-91.92),
 linux-headers-4.15.0-91-lowlatency (>= 4.15.0-91.92),
 linux-buildinfo-4.15.0-91-lowlatency (>= 4.15.0-91.92),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/bionic

Package: linux-modules-nvidia-390-4.15.0-91-generic
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-91-generic | linux-image-unsigned-4.15.0-91-generic, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 4.15.0-91
 This package contains the Linux kernel nvidia modules for version 4.15.0-91.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-4.15.0-91-lowlatency
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-91-lowlatency | linux-image-unsigned-4.15.0-91-lowlatency, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 4.15.0-91
 This package contains the Linux kernel nvidia modules for version 4.15.0-91.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-generic
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-4.15.0-91-generic (= ${binary:Version})
Description: Extra drivers for nvidia-390 for the generic flavour
 Install extra signed nvidia-390 modules compatible with the generic flavour.

Package: linux-modules-nvidia-390-lowlatency
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-4.15.0-91-lowlatency (= ${binary:Version})
Description: Extra drivers for nvidia-390 for the lowlatency flavour
 Install extra signed nvidia-390 modules compatible with the lowlatency flavour.
